#ifndef RECTANGLE_HPP_
#define RECTANGLE_HPP_

#include "Point.hpp"

class Rectangle {
  Point bl_, ur_;

	static double max(double a, double b) {
		return a>b?a:b;
	}
	static double min(double a, double b) {
		return a<b?a:b;
	}

public:
	Rectangle(const Point& p1, 
						const Point& p2);
	double get_width() const;
	double get_height() const;
	double get_x() const;
	double get_y() const;
	const Point& get_ur() const;
	const Point& get_bl() const;
	void print() const;
};
#endif
